---
title: HTMLMediaElement.ended
slug: Web/API/HTMLMediaElement/ended
tags:
  - API
  - HTML DOM
  - HTMLMediaElement
  - Property
  - Read-only
  - Web
  - ended
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLMediaElement.ended</code></strong> indicates whether the media element has ended playback.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>isEnded</em> = <em>HTMLMediaElement</em>.ended</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}} which is <code>true</code> if the media contained in the element has finished playing.</p>

<p>If the source of the media is a {{domxref("MediaStream")}}, this value is <code>true</code> if the value of the stream's {{domxref("MediaStream.active", "active")}} property is <code>false</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var obj = document.createElement('video');
console.log(obj.ended); // false
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-media-ended", "HTMLMediaElement.ended")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.ended")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.ended")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
 <li>{{domxref("MediaStream")}}</li>
 <li>{{domxref("MediaStream.active")}}</li>
</ul>
